%define		status		alpha
%define		pearname	PHP_Shell
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - an interactive PHP Shell like IPython
Summary(pl.UTF-8):	%{pearname} - interaktywna powłoka PHP podobna do IPythona
Name:		php-pear-%{pearname}
Version:	0.3.2
Release:	2
License:	MIT
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	ca73ede3157d3e2d8e745daa4439524d
URL:		http://pear.php.net/package/PHP_Shell/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(readline)
Requires:	php(tokenizer)
Requires:	php-common >= 4:5.0.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.4
Obsoletes:	php-pear-PHP_Shell-tests
Obsoletes:	php-shell
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP-based implementation of a interactive shell with history,
tab-completion, handling of fatal errors, debugging aid, ...

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Oparta na PHP implementacja interaktywnej powłoki z historią,
dopełnianiem tabem, obsługą błędów krytycznych, pomocą przy usuwaniu
błędów...

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv docs/PHP_Shell/README .
mv .%{php_pear_dir}/examples .
mv .%{php_pear_dir}/data/PHP_Shell/scripts .
mv .%{php_pear_dir}/scripts/* scripts
%{__sed} -i -e '1i#!/usr/bin/php' scripts/php-shell-cmd.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install

install -p scripts/php-shell-cmd.php $RPM_BUILD_ROOT%{_bindir}/php-shell

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/php-shell
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PHP/Shell.php
%{php_pear_dir}/PHP/Shell
%changelog
* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> ad4e4a3
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sun Mar 25 2012 Elan Ruusamäe <glen@pld-linux.org> 1352160
- up to 0.3.2

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> a65ba5c
- release 6

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 91108ba
- dropped -tests subpackage

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 43fafdb
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> bd79b5d
- updated deps with pearize.sh
- release 5

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 251334a
- rel 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> db5187b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e849214
- converted to UTF-8

* Sun Nov 26 2006 Elan Ruusamäe <glen@pld-linux.org> 151f8ef
- rel 3: use php(extension) virtuals

* Wed Nov 08 2006 Elan Ruusamäe <glen@pld-linux.org> 26ee468
- PEAR-core is sufficent; rel 2

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> debaae6
- 0.3.1: adds 'r', short for 'run script'

* Mon Jun 19 2006 Elan Ruusamäe <glen@pld-linux.org> bb198b2
- missing dirs
- drop wrapper and use real shebang so the interpreter dep is autogenerated

* Mon Jun 19 2006 Elan Ruusamäe <glen@pld-linux.org> 1dcadb8
- tests subpkg

* Sun Jun 18 2006 Adam Gołębiowski <adamg@pld-linux.org> 0b70cf1
- new (php-shell is now released as a PEAR package)

